%This is a supplementary code for the paper "Local Dynamics in Trained
%Recurrent Neural Networks" by Alexander Rivkind and Omri Barak, 2016
%
function o=gaussIntZ012(f1,f2,wden)
ugauss=@(x) 1/sqrt(2*pi)*exp(-x.^2/2);
if isnumeric(wden)
ifun=(@(z1,z2) f1(z1,z2,wden).*ugauss(z1).*ugauss(z2));
o=integral2(ifun,-5,5,-5,5);
else    
ifun=(@(z1,z2,w) f1(z1,z2,w).*ugauss(z1).*ugauss(z2).*wden(w));
o=integral3(ifun,-5,5,-5,5,-1,1);
end